Query logs
GET/telemetry/logs
Query logs from a service with optional filters. Supports filtering by severity, body content, log attributes, resource attributes, and trace ID.
Attribute Filtering: Use prefix-based query parameters to filter by log and resource attributes:
log_attr_<key>=<value>- Filter by log attribute (e.g.,log_attr_user_id=123)resource_attr_<key>=<value>- Filter by resource attribute (e.g.,resource_attr_k8s.pod.name=pod-1)
Operator Suffixes:
- Default (no suffix): Equality matching (
log_attr_key=valuematches where key == value) [ne]suffix with empty value: "Not empty" filter (log_attr_key[ne]=matches where key is not empty)
Example: ?log_attr_user_id[ne]= filters for logs that have any user_id value.
Multiple Values:
Multiple values for the same key use OR matching:
?log_attr_user_id=123&log_attr_user_id=456 matches logs where user_id is 123 OR 456.
Multiple different keys use AND matching:
?log_attr_user_id=123&log_attr_order_id=456 matches logs where user_id is 123 AND order_id is 456.
Request
Responses
- 200
- 400
- 500
Log query result
Invalid request parameters
Internal server error
Was this page helpful?